## org.hibernate.engine.jdbc
Class ColumnNameCache

    java.lang.Object
      org.hibernate.engine.jdbc.ColumnNameCache

    public class ColumnNameCache

extends Object

Cache of column-name -> column-index resolutions

Field Summary
`static float` `LOAD_FACTOR`

Constructor Summary
`ColumnNameCache(int columnCount)`

Method Summary
`int` `getIndexForColumnName(String columnName, ResultSet rs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOAD_FACTOR

    public static final float LOAD_FACTOR

See Also:
  Constant Field Values

Constructor Detail

### ColumnNameCache

    public ColumnNameCache(int columnCount)

Method Detail

### getIndexForColumnName

    public int getIndexForColumnName(String columnName,
                                     ResultSet rs)
                              throws SQLException

  Throws:
    `SQLException`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.